org.jbpm.ruleflow.core.factory

## Class HumanTaskNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.HumanTaskNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.HumanTaskNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.HumanTaskNodeBuilder<T>, org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.HumanTaskNodeBuilder<T>,T>

      public class HumanTaskNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.HumanTaskNodeBuilder<T>,T>
      implements org.kie.api.fluent.HumanTaskNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HumanTaskNodeFactory<T>` | `actorId(String actorId)`
    `HumanTaskNodeFactory<T>` | `comment(String comment)`
    `HumanTaskNodeFactory<T>` | `content(String content)`
    `protected HumanTaskNode` | `getHumanTaskNode()`
    `HumanTaskNodeFactory<T>` | `inMapping(String parameterName, String variableName)`
    `HumanTaskNodeFactory<T>` | `name(String name)`
    `org.kie.api.fluent.HumanTaskNodeBuilder<T>` | `onEntryAction(org.kie.api.fluent.Dialect dialect, String action)`
    `HumanTaskNodeFactory<T>` | `onEntryAction(String dialect, String action)`
    `org.kie.api.fluent.HumanTaskNodeBuilder<T>` | `onExitAction(org.kie.api.fluent.Dialect dialect, String action)`
    `HumanTaskNodeFactory<T>` | `onExitAction(String dialect, String action)`
    `HumanTaskNodeFactory<T>` | `outMapping(String parameterName, String variableName)`
    `HumanTaskNodeFactory<T>` | `priority(String priority)`
    `HumanTaskNodeFactory<T>` | `skippable(boolean skippable)`
    `HumanTaskNodeFactory<T>` | `swimlane(String swimlane)`
    `HumanTaskNodeFactory<T>` | `taskName(String taskName)`
    `org.kie.api.fluent.HumanTaskNodeBuilder<T>` | `timer(String delay, String period, org.kie.api.fluent.Dialect dialect, String action)`
    `HumanTaskNodeFactory<T>` | `timer(String delay, String period, String dialect, String action)`
    `HumanTaskNodeFactory<T>` | `waitForCompletion(boolean waitForCompletion)`
    `HumanTaskNodeFactory<T>` | `workParameter(String name, Object value)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, setMetadata`

- - ### Constructor Detail

    - #### HumanTaskNodeFactory

          public HumanTaskNodeFactory(T nodeContainerFactory,
                                      NodeContainer nodeContainer,
                                      long id)

  - ### Method Detail

    - #### getHumanTaskNode

          protected HumanTaskNode getHumanTaskNode()

    - #### name

          public HumanTaskNodeFactory<T> name(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`
      Overrides:
        `name` in class `NodeFactory<org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### taskName

          public HumanTaskNodeFactory<T> taskName(String taskName)

      Specified by:
        `taskName` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### actorId

          public HumanTaskNodeFactory<T> actorId(String actorId)

      Specified by:
        `actorId` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### priority

          public HumanTaskNodeFactory<T> priority(String priority)

      Specified by:
        `priority` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### comment

          public HumanTaskNodeFactory<T> comment(String comment)

      Specified by:
        `comment` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### skippable

          public HumanTaskNodeFactory<T> skippable(boolean skippable)

      Specified by:
        `skippable` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### content

          public HumanTaskNodeFactory<T> content(String content)

      Specified by:
        `content` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### inMapping

          public HumanTaskNodeFactory<T> inMapping(String parameterName,
                                                   String variableName)

      Specified by:
        `inMapping` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### outMapping

          public HumanTaskNodeFactory<T> outMapping(String parameterName,
                                                    String variableName)

      Specified by:
        `outMapping` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### waitForCompletion

          public HumanTaskNodeFactory<T> waitForCompletion(boolean waitForCompletion)

      Specified by:
        `waitForCompletion` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### swimlane

          public HumanTaskNodeFactory<T> swimlane(String swimlane)

      Specified by:
        `swimlane` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### onEntryAction

          public HumanTaskNodeFactory<T> onEntryAction(String dialect,
                                                       String action)

    - #### onExitAction

          public HumanTaskNodeFactory<T> onExitAction(String dialect,
                                                      String action)

    - #### timer

          public HumanTaskNodeFactory<T> timer(String delay,
                                               String period,
                                               String dialect,
                                               String action)

    - #### workParameter

          public HumanTaskNodeFactory<T> workParameter(String name,
                                                       Object value)

      Specified by:
        `workParameter` in interface `org.kie.api.fluent.HumanTaskNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### onEntryAction

          public org.kie.api.fluent.HumanTaskNodeBuilder<T> onEntryAction(org.kie.api.fluent.Dialect dialect,
                                                                          String action)

    - #### onExitAction

          public org.kie.api.fluent.HumanTaskNodeBuilder<T> onExitAction(org.kie.api.fluent.Dialect dialect,
                                                                         String action)

    - #### timer

          public org.kie.api.fluent.HumanTaskNodeBuilder<T> timer(String delay,
                                                                  String period,
                                                                  org.kie.api.fluent.Dialect dialect,
                                                                  String action)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.